%bcond_without check

# https://github.com/letsencrypt/pebble
%global goipath         github.com/letsencrypt/pebble
Version:                2.3.1

%gometa

%global common_description %{expand:
A miniature version of Boulder, Pebble is a small RFC 8555 ACME test server not
suited for a production certificate authority.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md README.md cmd/pebble-challtestsrv/README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Pebble is a miniature version of Boulder, a small RFC 8555 ACME test server

# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/letsencrypt/challtestsrv)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(gopkg.in/square/go-jose.v2)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/p* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CODE_OF_CONDUCT.md README.md cmd/pebble-challtestsrv/README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Nov 22 2021 Paul Wouters <paul.wouters@aiven.io> - 2.3.1-1
- Initial package
